package com.dayou.service;
import com.dayou.condition.GisLoginCondition;
import com.dayou.condition.LoginCondition;
import com.dayou.dto.LoginDTO;
import com.dayou.dto.UpdatePasswordDTO;
import com.dayou.entity.GisUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * GIS用户 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-05-17
 */
public interface IGisUserService extends IService<GisUser> {

        Page<GisUser> selectPage(Page page,GisUser gisUser);

        GisUser detail(Long id);

        Boolean add(GisUser gisUser);

        Boolean update(GisUser gisUser);

        Boolean delete(Long id);

    LoginDTO login(GisLoginCondition gisLoginCondition);

        GisUser baseInfo(String token);

    Boolean isAlive(String token);


    Boolean updatePassword(UpdatePasswordDTO passwordDTO,String token);
}
